Bug 1195138 - (6.4.z) Wrong order of elements in appclient.xml
Summary: (6.4.z) Wrong order of elements in appclient.xml
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Application Client
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: EAP 6.4.15
Assignee: Panagiotis Sotiropoulos
QA Contact: Marek Kopecky
URL:
Whiteboard:
Depends On:
Blocks: eap6415-payload
TreeView+ depends on / blocked
 
Reported: 2015-02-23 08:26 UTC by Marek Kopecky
Modified: 2017-05-19 08:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-19 08:04:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1195132 0 unspecified CLOSED (6.4.z) Wrong order of elements in jboss-cli.xml 2021-02-22 00:41:40 UTC
Red Hat Issue Tracker WFLY-4383 0 Major Resolved Wrong order of elements in appclient.xml 2017-06-13 08:52:38 UTC

Internal Links: 1195132

Description Marek Kopecky 2015-02-23 08:26:29 UTC
Description of problem:
File appclient/configuration/appclient.xml has an incorrect order of elements. <core-environment> tag should be before <recovery-environment /> tag. These tags is in <subsystem xmlns="urn:jboss:domain:transactions:1.4"> and schema is in docs/schema/jboss-as-txn_1_4.xsd. This schema defines specific order of elements.

Version-Release number of selected component (if applicable):
6.4.0.ER2

Validate logs:
appclient/configuration/appclient.xml:150: element recovery-environment: Schemas validity error : Element '{urn:jboss:domain:transactions:1.4}recovery-environment': This element is not expected. Expected is ( {urn:jboss:domain:transactions:1.4}core-environment ).

Comment 1 Panagiotis Sotiropoulos 2015-02-24 12:23:38 UTC
PR sent : https://github.com/jbossas/jboss-eap/pull/2322

Comment 2 Mike McCune 2016-03-28 23:23:30 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 3 Michael Cada 2017-04-26 12:34:29 UTC
Verified with EAP 6.4.15.CP.CR2

Comment 4 Petr Penicka 2017-05-19 08:04:35 UTC
Released on May 18 as part of EAP 6.4.15.


Note You need to log in before you can comment on or make changes to this bug.